Blob Blame History Raw
# Generated by rust2rpm 26
# * tests are broken: https://github.com/gtk-rs/gtk-rs-core/issues/64
%bcond_with check
%global debug_package %{nil}

%global crate gstreamer-base-sys

Name:           rust-gstreamer-base-sys
Version:        0.22.0
Release:        %autorelease
Summary:        FFI bindings to libgstbase-1.0

License:        MIT
URL:            https://crates.io/crates/gstreamer-base-sys
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
FFI bindings to libgstbase-1.0.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(gstreamer-base-1.0) >= 1.14

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYRIGHT
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_14_1-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(gstreamer-base-1.0) >= 1.14.1

%description -n %{name}+v1_14_1-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_14_1" feature of the "%{crate}" crate.

%files       -n %{name}+v1_14_1-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_14_3-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(gstreamer-base-1.0) >= 1.14.3

%description -n %{name}+v1_14_3-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_14_3" feature of the "%{crate}" crate.

%files       -n %{name}+v1_14_3-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_16-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(gstreamer-base-1.0) >= 1.16

%description -n %{name}+v1_16-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_16" feature of the "%{crate}" crate.

%files       -n %{name}+v1_16-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_18-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(gstreamer-base-1.0) >= 1.18

%description -n %{name}+v1_18-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_18" feature of the "%{crate}" crate.

%files       -n %{name}+v1_18-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_20-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(gstreamer-base-1.0) >= 1.20

%description -n %{name}+v1_20-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_20" feature of the "%{crate}" crate.

%files       -n %{name}+v1_20-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_22-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(gstreamer-base-1.0) >= 1.22

%description -n %{name}+v1_22-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_22" feature of the "%{crate}" crate.

%files       -n %{name}+v1_22-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_24-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(gstreamer-base-1.0) >= 1.23

%description -n %{name}+v1_24-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_24" feature of the "%{crate}" crate.

%files       -n %{name}+v1_24-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(gstreamer-base-1.0) >= 1.14'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog